//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by Entitas.CodeGeneration.Plugins.ComponentEntityApiGenerator.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
public partial class GameEntity {

    public SuggestedPositionComponent suggestedPosition { get { return (SuggestedPositionComponent)GetComponent(GameComponentsLookup.SuggestedPosition); } }
    public bool hasSuggestedPosition { get { return HasComponent(GameComponentsLookup.SuggestedPosition); } }

    public void AddSuggestedPosition(UnityEngine.Vector2Int newPosition) {
        var index = GameComponentsLookup.SuggestedPosition;
        var component = CreateComponent<SuggestedPositionComponent>(index);
        component.position = newPosition;
        AddComponent(index, component);
    }

    public void ReplaceSuggestedPosition(UnityEngine.Vector2Int newPosition) {
        var index = GameComponentsLookup.SuggestedPosition;
        var component = CreateComponent<SuggestedPositionComponent>(index);
        component.position = newPosition;
        ReplaceComponent(index, component);
    }

    public void RemoveSuggestedPosition() {
        RemoveComponent(GameComponentsLookup.SuggestedPosition);
    }
}

//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by Entitas.CodeGeneration.Plugins.ComponentMatcherApiGenerator.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
public sealed partial class GameMatcher {

    static Entitas.IMatcher<GameEntity> _matcherSuggestedPosition;

    public static Entitas.IMatcher<GameEntity> SuggestedPosition {
        get {
            if (_matcherSuggestedPosition == null) {
                var matcher = (Entitas.Matcher<GameEntity>)Entitas.Matcher<GameEntity>.AllOf(GameComponentsLookup.SuggestedPosition);
                matcher.componentNames = GameComponentsLookup.componentNames;
                _matcherSuggestedPosition = matcher;
            }

            return _matcherSuggestedPosition;
        }
    }
}
